# 封装的 gorm 生成器函数
generate_gorm_models() {
    local ip=$1
    local port=$2
    local user=$3
    local password=$4
    local db=$5
    local tables=$6
    local target_dir="/tmp"  # 默认输出目录为 /tmp

    # 检查是否有必要参数
    if [ -z "$ip" ] || [ -z "$port" ] || [ -z "$user" ] || [ -z "$password" ] || [ -z "$db" ] || [ -z "$tables" ]; then
        echo "Usage: generate_gorm_models <ip> <port> <user> <password> <db> <tables>"
        return 1
    fi

    # 生成 Gorm 模型
    gorm-plus generate --json --host "$ip" --u "$user" --p "$password" --port "$port" --target "$target_dir" --d "$db" --tables "$tables"

    # 检查是否生成成功
    if [ $? -eq 0 ]; then
        echo "Models generated successfully in $target_dir"
        cat "$target_dir/tmp.go"
    else
        echo "Failed to generate models."
    fi
}

# 示例调用方式,前提：go get github.com/joeyzhouy/gorm-plus    go install github.com/joeyzhouy/gorm-plus
# generate_gorm_models "127.0.0.1" "3306" "root" "root" "test" "user,product"
